gfx_mode_select_ex(3)

NAME
gfx_mode_select_ex

SYNOPSIS
#include <allegro.h>

int gfx_mode_select_ex(int *card, int *w, int *h, int *color_depth);

DESCRIPTION
Extended version of the graphics mode selection dialog, which allows the user to select the color depth as well as the resolution and hardware driver. This version of the function reads the initial values from the parameters when it activates, so you can specify the default values.

SEE ALSO
gfx_mode_select(3), gfx_mode_select_filter(3), set_color_depth(3), set_gfx_mode(3), gui_fg_color(3), ex3d(3), exscn3d(3), exswitch(3), exupdate(3), exzbuf(3)